summaryrefslogtreecommitdiffstats
path: root/source/xap/audacious-plugins
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/audacious-plugins')
-rwxr-xr-xsource/xap/audacious-plugins/audacious-plugins.SlackBuild6
-rw-r--r--source/xap/audacious-plugins/audacious-plugins.alsa.noise.is.not.helpful.diff25
2 files changed, 29 insertions, 2 deletions
diff --git a/source/xap/audacious-plugins/audacious-plugins.SlackBuild b/source/xap/audacious-plugins/audacious-plugins.SlackBuild
index 84417ccbc..50274f1f4 100755
--- a/source/xap/audacious-plugins/audacious-plugins.SlackBuild
+++ b/source/xap/audacious-plugins/audacious-plugins.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=audacious-plugins
-VERSION=${VERSION:-2.3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -66,6 +66,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+zcat $CWD/audacious-plugins.alsa.noise.is.not.helpful.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
diff --git a/source/xap/audacious-plugins/audacious-plugins.alsa.noise.is.not.helpful.diff b/source/xap/audacious-plugins/audacious-plugins.alsa.noise.is.not.helpful.diff
new file mode 100644
index 000000000..e904ab8d9
--- /dev/null
+++ b/source/xap/audacious-plugins/audacious-plugins.alsa.noise.is.not.helpful.diff
@@ -0,0 +1,25 @@
+--- ./src/alsa/alsa.c.orig 2011-02-22 11:29:46.000000000 -0600
++++ ./src/alsa/alsa.c 2011-03-11 15:02:53.340999637 -0600
+@@ -207,10 +207,20 @@
+ static gboolean warned = FALSE;
+ if (! warned)
+ {
+- fprintf (stderr, "\n** WARNING **\nAudacious has detected that "
++ /* fprintf (stderr, "\n** WARNING **\nAudacious has detected that "
+ "your ALSA device has a broken timer. A workaround\nis being "
+ "used to prevent CPU overload. Please report this problem to "
+- "your\nLinux distributor or to the ALSA developers.\n\n");
++ "your\nLinux distributor or to the ALSA developers.\n\n"); */
++ /* ^^^ COMMENTED OUT ^^^ */
++
++ /* I'm glad there is a workaround for this, and the reports
++ are that it works, so spamming the console about it seems
++ a little bit extreme. It's not an issue to be solved here
++ by Slackware, and I would be surprised if the ALSA
++ developers did not know by now, given this warning.
++ FWIW, this seems a strange method of communicating with the
++ ALSA developers. Did they report the bug to them? */
++
+ warned = TRUE;
+ }
+